# - Find GETTEXT
# Find the native GETTEXT includes and library
#
#   GETTEXT_FOUND        - True if GETTEXT found.
#   GETTEXT_INCLUDE_DIRS - where to find tinyxml.h, etc.
#   GETTEXT_LIBRARIES    - List of libraries when using GETTEXT.
#

IF( GETTEXT_INCLUDE_DIR )
    # Already in cache, be silent
    SET( GETTEXT_FIND_QUIETLY TRUE )
ENDIF( GETTEXT_INCLUDE_DIR )

FIND_PATH( GETTEXT_INCLUDE_DIR libintl.h )

FIND_LIBRARY( GETTEXT_LIBRARY
              NAMES GETTEXT )

# handle the QUIETLY and REQUIRED arguments and set GETTEXT_FOUND to TRUE if
# all listed variables are TRUE
INCLUDE( FindPackageHandleStandardArgs )
FIND_PACKAGE_HANDLE_STANDARD_ARGS( GETTEXT DEFAULT_MSG GETTEXT_LIBRARY GETTEXT_INCLUDE_DIR  )

MARK_AS_ADVANCED( GETTEXT_INCLUDE_DIR GETTEXT_LIBRARY )

IF(GETTEXT_FOUND)
  SET(GETTEXT_INCLUDE_DIRS ${GETTEXT_INCLUDE_DIR})
  SET(GETTEXT_LIBRARIES ${GETTEXT_LIBRARY})
ELSE(GETTEXT_FOUND)
  SET(GETTEXT_INCLUDE_DIRS)
  SET(GETTEXT_LIBRARIES)
ENDIF(GETTEXT_FOUND)

