MESSAGE(STATUS "Importing TinyXML...")
FIND_PACKAGE(TinyXML)

IF(TINYXML_FOUND)
  OPTION(OTB_USE_EXTERNAL_TINYXML "Use external TinyXML library." ON)
    
  # Check if STL support is enabled with macro TIXML_USE_STL
  TRY_COMPILE(TIXML_USE_STL
              ${CMAKE_CURRENT_BINARY_DIR}/CMake
              ${CMAKE_CURRENT_SOURCE_DIR}/CMake/otbTestTinyXMLUseSTL.cxx
              CMAKE_FLAGS "-DINCLUDE_DIRECTORIES:PATH=${TINYXML_INCLUDE_DIRS}" "-DLINK_LIBRARIES:STRING=${TINYXML_LIBRARIES}"
              COMPILE_DEFINITIONS "-DTIXML_USE_STL"
              OUTPUT_VARIABLE OUTPUT)

ELSE(TINYXML_FOUND)
  OPTION(OTB_USE_EXTERNAL_TINYXML "Use external TinyXML library." OFF)
  SET(TINYXML_LIBRARIES otbtinyXML)
  SET(TIXML_USE_STL)
ENDIF(TINYXML_FOUND)
MARK_AS_ADVANCED(OTB_USE_EXTERNAL_TINYXML)

